<?php
include "../koneksi.php";

$id = $_POST['ekspedisi_id'];
$ekspedisi = $_POST['ekspedisi'];
$alamat = $_POST['alamat'];
$pic = $_POST['pic'];
$hp = $_POST['hp'];
		if ($ekspedisi == '') {
			$data['error']['edit_ekspedisi'] = 'Ekspedisi tidak boleh kosong';
		}
		if ($alamat == '') {
			$data['error']['edit_alamat'] = 'Alamat Tidak Boleh Kosong';
		}
		if ($pic == '') {
			$data['error']['edit_pic'] = 'PIC Tidak Boleh Kosong';
		}
		if ($hp == '') {
			$data['error']['edit_hp'] = 'No. HP Unit tidak boleh kosong';
		}
		if (empty($data['error'])) {
			$query = "UPDATE ekspedisi SET
											Ekspedisi = '$ekspedisi',
											Alamat = '$alamat',
											PIC = '$pic',
											HP = '$hp'
											WHERE EkspedisiID = '$id'
											";

			mysqli_query($koneksi, $query)
			or die ("Gagal Perintah SQL".mysql_error());
			$data['hasil'] = 'sukses';
		} else {
			$data['hasil'] = 'gagal';
		}
		echo json_encode($data);

?>

